function covCoefficient = DLaggedCovariance(timeSeries, iLag)
    % if lag is 1, we will go take the cov of 1:length-1  with 2:length
    covMatrix=cov(timeSeries(1:length(timeSeries)-iLag)',timeSeries(iLag+1:length(timeSeries))');
    covCoefficient=covMatrix(2,1);
end 